import { commServer } from './server.js';

export default {
  namespaced: true,
  state: {
     // 查核列表
     checkList: [],
	 detailList:[],//查核项集合
	 ifReloadPageData:false, //刷新当前页数据
	 investigationUsers:[],//受访者集合
	 currentSelectedInvestigationUser:null,//当前受访者
	 ifShowBindPeopleDialog:true,//是否展示批量分配当事人，主要用于调节不适用按钮
  },
  mutations: {
		comChangeState(state, {key, data}) {
			state[key] = data;
		},
  },
  actions: {
		commActions({ commit, state }, { key, data }) {
      return commServer(key, data);
		},
  }
}
